<?php

require get_template_directory() . '/theme-wizard/tgm/class-tgm-plugin-activation.php';

/**
 * Recommended plugins.
 */
function vw_book_store_pro_register_recommended_plugins() {
	$plugins = array(
		// array(
		// 	'name'             => __( 'VW Book Store Pro Posttype', 'vw-book-store-pro' ),
		// 	'slug'             => 'vw-book-store-pro-posttype',
		// 	'source'           => get_template_directory() .'/inc/plugins/vw-book-store-pro-posttype.zip',
		// 	'required'         => true,
		// 	'force_activation' => false,
		// ),
		array(
			'name'             => __( 'VW Social Media', 'vw-book-store-pro' ),
			'slug'             => 'vw-social-media',
			'source'           => get_template_directory() .'/inc/plugins/vw-social-media.zip',
			'required'         => true,
			'force_activation' => false,
		),	
		array(
			'name'             => __( 'Contact Form 7', 'vw-book-store-pro' ),
			'slug'             => 'contact-form-7',
			'required'         => true,
			'force_activation' => false,
		),	
		array(
			'name'             => __( 'Ibtana - WordPress Website Builder', 'vw-book-store-pro' ),
			'slug'             => 'ibtana-visual-editor',
			'source'           => '',
			'required'         => true,
			'force_activation' => false,
		),
		array(
			'name'             => __( 'Ibtana - Ecommerce Product Addons', 'vw-book-store-pro' ),
			'slug'             => 'ibtana-ecommerce-product-addons',
			'source'           => '',
			'required'         => true,
			'force_activation' => false,
		),	
		array(
			'name'             => __( 'WooCommerce', 'vw-book-store-pro' ),
			'slug'             => 'woocommerce',
			'required'         => true,
			'force_activation' => false,
		)		
	);
	$vw_book_store_pro_config = array();
	tgmpa( $plugins, $vw_book_store_pro_config );
}
add_action( 'tgmpa_register', 'vw_book_store_pro_register_recommended_plugins' );